# Copyright 2004 James Bunton <james@delx.cjb.net>
# Licensed for distribution under the GPL version 2, check COPYING for details

import os
import config
import utils

""" A simple logging module. Use as follows.

> import debug
> debug.log("text string")

If debugging is enabled then the data will be dumped to a file
or the screen (whichever the user chose)
"""



if(config.debugOn):
	if(len(config.debugLog) > 0):
		try:
			file = open(config.debugLog, 'w')
		except:
			print "Error opening debug log file. Exiting..."
			os.abort()
		def log(data):
			file.write(utils.latin1(data) + "\n")
	else:
		def log(data):
			print utils.latin1(data)
	log("Debug logging enabled.")
else:
	def log(data):
		pass

